% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CalcPFE.R
\name{CalcPFE}
\alias{CalcPFE}
\title{Calculates the PFE}
\usage{
CalcPFE(V_C, Addon_Aggregate, simplified, V = 0)
}
\arguments{
\item{V_C}{the difference between the sum of the MtMs and the collateral}

\item{Addon_Aggregate}{the aggregate amount of the Addon}

\item{simplified}{(optional) When TRUE, the multiplier will be set to 1  as per the simplified & OEM approach}

\item{V}{the sum of MVs of the trades}
}
\value{
The Projected Future Exposure (PFE)
}
\description{
Calculates the Projected Future Exposure (PFE) after applying the relevant multiplier.
The purpose of this multiplier is to lessen the risk stemming from the addons in case of excess collateral
}
\references{
Regulation (EU) 2019/876 of the European Parliament and of the Council of 20 May 2019
http://data.europa.eu/eli/reg/2019/876/oj
}
\author{
Tasos Grivas <info@openriskcalculator.com>
}
